Quantification tool - Feature #1171

Change treatment regimen creation for multiphases
05/07/2014 10:54 AM - Luis Gustavo do Valle Bastos

Status: Closed Start date: 05/07/2014
Priority: High Due date: 09/25/2014
Assignee: Luis Gustavo do Valle Bastos % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Version 3.0 Spent time: 0.00 hour
Description

1) be able to add many phases of treatment;

2) be able to develop short and very short regimens — from just one dose to several (less than a month);

3) keep the logic of same duration applicable to all medicines within the phase;

4) enter duration for the phase just once and not by each medicine as currently;

For example, to address the new medicine "Bedaquiline" four phases of treatment at leas will be required, as follow:

a) Booster (double) dose of Bedaquiline for 2 weeks, plus all other medicines; we are already in trouble because in QuanTB the
minimum duration is 1 month (if we fix that, it'll also be good for the quantification of lab supplies)

b) Normal dose plus duration of an injectable plus all other medicines; maximum allowable duration of Bedaquiline administration is
24 weeks, or 6 months; duration of an injectable is 8 months!

¢) Remaining duration (about 2 months) for an injectable, plus all other medicines;

d) Remaining duration (12 to 20 months for XDR) for all other medicines.

History

#1 - 08/08/2014 06:08 AM - Oleksii Kurasov
- Due date set to 08/08/2014
- Status changed from New to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#2 - 09/21/2014 10:15 AM - Luis Gustavo do Valle Bastos
- File Number of phases 1.JPG added

- File Number of phases 2.JPG added

- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov
- Increase the number of phases allowed from 5 (five) to 10 (ten) and add a scroll bar at the bottom of the "Treatment regimen" dialog box allowing
user to move the bar in order to view details of all phases. See file "Number of phases 1" attached.

- Limit the number of phases to be created to 10 (ten) at the "New treatment regimen"” dialog box. See file "Number of phases 2" attached.

#3 - 09/24/2014 10:25 AM - Oleksii Kurasov
- Due date changed from 08/08/2014 to 09/24/2014
- Status changed from Feedback to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#4 - 09/24/2014 03:33 PM - Luis Gustavo do Valle Bastos
- File Multiphases label missing.JPG added
- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

The label "Duration" is missing for all phases displayed at the "Treatment regimen" dialog box. See attached.
#5 - 09/25/2014 09:46 AM - Oleksii Kurasov

- Due date changed from 09/24/2014 to 09/25/2014

- Status changed from Feedback to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#6 - 09/25/2014 04:38 PM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Closed

Tested and adequate.

Files

Number of phases 1.JPG 90.8 KB 09/21/2014 Luis Gustavo do Valle Bastos
Number of phases 2.JPG 55.3 KB 09/21/2014 Luis Gustavo do Valle Bastos
Multiphases label missing.JPG 38.1 KB 09/24/2014 Luis Gustavo do Valle Bastos
